# Interface methods for submodule: ImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy, ImageSourceCommonProxy as _ImageSourceCommonProxy


# Interface methods for class: ImageSource
class ImageSourceProxy(_ProcessObjectProxy, _ImageSourceCommonProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def GetOutput(self):
		""""""
		...

	@overload
	def GetOutput(self, idx: int):
		""""""
		...

	@overload
	def GraftOutput(self, graft) -> None:
		""""""
		...

	@overload
	def GraftOutput(self, key: str, graft) -> None:
		""""""
		...

	def GraftNthOutput(self, idx: int, graft) -> None:
		""""""
		...

	@overload
	def MakeOutput(self, idx: int):
		""""""
		...

	@overload
	def MakeOutput(self, arg0: str):
		""""""
		...

